summaryrefslogtreecommitdiffhomepage
path: root/kokoro/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kokoro/run_tests.sh')
-rw-r--r--[l---------]kokoro/run_tests.sh30
1 files changed, 29 insertions, 1 deletions
diff --git a/kokoro/run_tests.sh b/kokoro/run_tests.sh
index 931cd2622..5552da11c 120000..100644
--- a/kokoro/run_tests.sh
+++ b/kokoro/run_tests.sh
@@ -1 +1,29 @@
-../tools/run_tests.sh \ No newline at end of file
+#!/bin/bash
+
+# Copyright 2019 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeo pipefail
+
+# This file is a temporary bridge. We will create multiple independent Kokoro
+# workflows that call each of the test scripts independently.
+
+# Run all the tests in sequence.
+$(dirname $0)/../scripts/do_tests.sh
+$(dirname $0)/../scripts/make_tests.sh
+$(dirname $0)/../scripts/root_tests.sh
+$(dirname $0)/../scripts/docker_tests.sh
+$(dirname $0)/../scripts/overlay_tests.sh
+$(dirname $0)/../scripts/hostnet_tests.sh
+$(dirname $0)/../scripts/simple_tests.sh